# sb::App::Upgrade
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::App::Upgrade;
use strict;
use sb::Driver ();
use sb::Object ();
use base qw( sb::Object );
use vars qw( $VERSION );
$VERSION = '0.00';
# 0.00 [2008/07/18] generated
# --------------------------------------
# // defines
# --------------------------------------
# // override base class
sub initialize
{
	my $self = shift;
	$self->SUPER::initialize(
		'driver'  => undef,
		'current' => 0,
		@_
	);
	$self->generate_accessor('current','driver');
	return $self;
}
# --------------------------------------
# // public functions
sub run
{
	my $self = shift;
	return if ( !$self->driver );
	for (my $i = 0; $i < $sb::DBTABLE; $i++ )
	{
		next if ( $i < $self->current );
		foreach my $change ( $self->_check_list($i) )
		{
			my $err = $self->driver->alter(@{$change});
		}
	}
}
# --------------------------------------
# // private functions
sub _check_list
{
	my $self = shift;
	my $version = shift;
	if ( $version == 0 )
	{
		return (
			['sb::Data::Category','disp'],
			['sb::Data::Weblog','dbset','ADD'],
		);
	}
}
1;
__END__
